<script setup lang="ts">
  import { getTranslatedProperty } from '@shopware-pwa/helpers-next';
  import { PropertyGroup } from '@shopware-pwa/types';

  defineProps<{ properties: PropertyGroup[] }>();
</script>

<template>
  <table class="max-w-175 w-full table-auto text-sm leading-6">
    <colgroup>
      <col class="w-1/2" />
      <col class="w-1/2" />
    </colgroup>
    <tbody>
      <tr v-for="property in properties" :key="property.id" class="odd:bg-background-raised">
        <th class="font-700 break-words px-4 py-2.5 text-left first-letter:capitalize">
          {{ getTranslatedProperty(property, 'name') }}:
        </th>

        <td class="break-words px-4 py-2.5">
          {{ property.options?.map((option) => getTranslatedProperty(option, 'name')).join(', ') }}
        </td>
      </tr>
    </tbody>
  </table>
</template>
